org.apache.felix.utils.repository

## Class AggregateRepository

- java.lang.Object
- - org.apache.felix.utils.repository.AggregateRepository

All Implemented Interfaces:
  org.osgi.service.repository.Repository

    public class AggregateRepository
    extends Object
    implements org.osgi.service.repository.Repository

### Field Summary

### Fields inherited from interface org.osgi.service.repository.Repository

`URL`

### Constructor Summary

Constructors
Constructor and Description
`AggregateRepository(Collection<org.osgi.service.repository.Repository> repositories)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Map<org.osgi.resource.Requirement,Collection<org.osgi.resource.Capability>>` `findProviders(Collection<? extends org.osgi.resource.Requirement> requirements)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AggregateRepository

    public AggregateRepository(Collection<org.osgi.service.repository.Repository> repositories)

### Method Detail

#### findProviders

    public Map<org.osgi.resource.Requirement,Collection<org.osgi.resource.Capability>> findProviders(Collection<? extends org.osgi.resource.Requirement> requirements)

Specified by:
  `findProviders` in interface `org.osgi.service.repository.Repository`